Package io.dapr.client.domain

# Enum StateOptions.Consistency

java.lang.Object
java.lang.Enum<StateOptions.Consistency>
io.dapr.client.domain.StateOptions.Consistency

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<StateOptions.Consistency>`, `java.lang.constant.Constable`

Enclosing class:
  StateOptions

    public static enum StateOptions.Consistency
    extends java.lang.Enum<StateOptions.Consistency>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `EVENTUAL` |
  `STRONG` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static StateOptions.Consistency` | `fromValue​(java.lang.String value)` |
  `java.lang.String` | `getValue()` |
  `static StateOptions.Consistency` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static StateOptions.Consistency[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EVENTUAL

    public static final StateOptions.Consistency EVENTUAL

  - ### STRONG

    public static final StateOptions.Consistency STRONG

- ## Method Details

  - ### values

    public static StateOptions.Consistency[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static StateOptions.Consistency valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getValue

    public java.lang.String getValue()

  - ### fromValue

    public static StateOptions.Consistency fromValue​(java.lang.String value)